package dev.fyloz.trial.colorrecipesexplorer.dao;

import dev.fyloz.trial.colorrecipesexplorer.core.model.MaterialType;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;

public interface MaterialTypeRepository extends JpaRepository<MaterialType, Long> {

    boolean existsByName(String name);

    boolean existsByPrefix(String prefix);

    Optional<MaterialType> findByPrefix(String prefix);

    Optional<MaterialType> findByName(String name);

}
